package com.iamberry.wechat.face.wechat;

import com.iamberry.wechat.core.entity.personality.*;

import java.util.List;

public interface PersonalitySubjectService {
    //查询题目
    public List<PersonalitySubject> listSubject();
    //查询答案
    public List<PersonalityAnswer> getAnswer(Integer subjectId);
    //查询题目类型
    public List<PersonalityType> getType(Integer typeId);
    //查询推荐内容
    public List<PersonalityRecommended> getRecommended(Integer recommendedTypeId);
    //查询推荐书籍
    public List<PersonalityBooks> getBooks(Integer booksRecommendedId);
}
